KFIFO_INIT(9)

NAME
kfifo_init - initialize a fifo using a preallocated buffer

SYNOPSIS

kfifo_init(fifo, buffer, size);

ARGUMENTS

fifo
    the fifo to assign the buffer

buffer
    the preallocated buffer to be used

size
    the size of the internal buffer, this have to be a power of 2

DESCRIPTION

This macro initialize a fifo using a preallocated buffer.

The numer of elements will be rounded-up to a power of 2. Return 0 if no error, otherwise an error code.

COPYRIGHT